<template>
    <div class="grid-weekDays" :ref="[haveRef == true ? 'scroll' : '']">
        <div class="grid-days" :class="[sizeLetters]" v-for="(day, index) in days" :key="index">
            <p>{{day.name}}</p>
            <p class="textCollapse" :class="[space]"> {{day.number}} </p>
        </div>
    </div>
</template>

<script>
  export default {
    name: 'gridDays',
    props: {
        haveRef: {
            type: Boolean
        },
        days: {
            type: Array
        },
        sizeLetters: {
            type: String
        },
        space: {
            type: String
        }
    },
    created() {
        window.addEventListener('scroll', this.handleScroll);
    },
    methods: {
        handleScroll (event) {
            let sticky = this.$refs.scroll
            if(sticky) {
                if (window.pageYOffset >= 300) {
                    sticky.classList.add("sticky")
                } else {
                    sticky.classList.remove("sticky");
                }
            }
        },
    },
    destroyed () {
        window.removeEventListener('scroll', this.handleScroll);
    },
  }
</script>